import { Like, User } from "@prisma/client"

import { IGweet } from "@/components/gweets/types"

export interface IUser extends User {
    gweets: IGweet[]
    followers: User[]
    following: User[]
    likes: ILike[]
    _count?: {
        followers?: number
        following?: number
    }
}

export interface IProfile {
    name: string
    bio: string | undefined
    location: string | undefined
    website: string | undefined
    banner: {
        removed: boolean | undefined
        url: string | undefined
        file: File | undefined
    }
    image: {
        url: string | undefined
        file: File | undefined
    }
}

export interface ILike extends Like {
    user: IUser
    gweet: IGweet
}
